Bug 1263558 - Installation should stop and rollback any changes when it fails to download dependencies
Installation should stop and rollback any changes when it fails to download d...
Status: CLOSED NOTABUG
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHELOSP (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 1.0
Assigned To: John Matthews
Dave Johnson
Dan Macpherson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 03:29 EDT by Dong Zhao
Modified: 2016-04-29 12:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-24 16:51:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dong Zhao 2015-09-16 03:29:15 EDT
I was using the "packstack --allinone" to complete an all-in-one installation.
It failed to download a dependency (erlang in this case) because of a network issue. 
Despite of the failure, it still showed the login information (URLs, credentials, etc), which made me believe the installation was successful, but actually it failed. 
It should clearly show the installation has failed, and prompt users to check the errors and re-install.

Below is the output in console.
----------------
 
[root@osp7 osp7]# packstack --allinone
Welcome to the Packstack setup utility

The installation log file is available at: /var/tmp/packstack/20150916-150209-txCCxw/openstack-setup.log
Packstack changed given value  to required value /root/.ssh/id_rsa.pub

Installing:
Clean Up                                             [ DONE ]
Discovering ip protocol version                      [ DONE ]
Setting up ssh keys                                  [ DONE ]
Preparing servers                                    [ DONE ]
Preinstalling Puppet and discovering hosts' details  [ DONE ]
Adding pre install manifest entries                  [ DONE ]
Setting up CACERT                                    [ DONE ]
Adding AMQP manifest entries                         [ DONE ]
Adding MariaDB manifest entries                      [ DONE ]
Fixing Keystone LDAP config parameters to be undef if empty[ DONE ]
Adding Keystone manifest entries                     [ DONE ]
Adding Glance Keystone manifest entries              [ DONE ]
Adding Glance manifest entries                       [ DONE ]
Adding Cinder Keystone manifest entries              [ DONE ]
Checking if the Cinder server has a cinder-volumes vg[ DONE ]
Adding Cinder manifest entries                       [ DONE ]
Adding Nova API manifest entries                     [ DONE ]
Adding Nova Keystone manifest entries                [ DONE ]
Adding Nova Cert manifest entries                    [ DONE ]
Adding Nova Conductor manifest entries               [ DONE ]
Creating ssh keys for Nova migration                 [ DONE ]
Gathering ssh host keys for Nova migration           [ DONE ]
Adding Nova Compute manifest entries                 [ DONE ]
Adding Nova Scheduler manifest entries               [ DONE ]
Adding Nova VNC Proxy manifest entries               [ DONE ]
Adding OpenStack Network-related Nova manifest entries[ DONE ]
Adding Nova Common manifest entries                  [ DONE ]
Adding Neutron FWaaS Agent manifest entries          [ DONE ]
Adding Neutron LBaaS Agent manifest entries          [ DONE ]
Adding Neutron API manifest entries                  [ DONE ]
Adding Neutron Keystone manifest entries             [ DONE ]
Adding Neutron L3 manifest entries                   [ DONE ]
Adding Neutron L2 Agent manifest entries             [ DONE ]
Adding Neutron DHCP Agent manifest entries           [ DONE ]
Adding Neutron Metering Agent manifest entries       [ DONE ]
Adding Neutron Metadata Agent manifest entries       [ DONE ]
Checking if NetworkManager is enabled and running    [ DONE ]
Adding OpenStack Client manifest entries             [ DONE ]
Adding Horizon manifest entries                      [ DONE ]
Adding Swift Keystone manifest entries               [ DONE ]
Adding Swift builder manifest entries                [ DONE ]
Adding Swift proxy manifest entries                  [ DONE ]
Adding Swift storage manifest entries                [ DONE ]
Adding Swift common manifest entries                 [ DONE ]
Adding Provisioning Demo manifest entries            [ DONE ]
Adding Provisioning Glance manifest entries          [ DONE ]
Adding MongoDB manifest entries                      [ DONE ]
Adding Redis manifest entries                        [ DONE ]
Adding Ceilometer manifest entries                   [ DONE ]
Adding Ceilometer Keystone manifest entries          [ DONE ]
Adding Nagios server manifest entries                [ DONE ]
Adding Nagios host manifest entries                  [ DONE ]
Adding post install manifest entries                 [ DONE ]
Copying Puppet modules and manifests                 [ DONE ]
Applying 10.66.192.77_prescript.pp
10.66.192.77_prescript.pp:                           [ DONE ]        
Applying 10.66.192.77_amqp.pp
Applying 10.66.192.77_mariadb.pp
10.66.192.77_amqp.pp:                             [ ERROR ]        
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: 10.66.192.77_amqp.pp
Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install erlang' returned 1: Error downloading packages:
You will find full trace in log /var/tmp/packstack/20150916-150209-txCCxw/manifests/10.66.192.77_amqp.pp.log
Please check log file /var/tmp/packstack/20150916-150209-txCCxw/openstack-setup.log for more information
Additional information:
 * A new answerfile was created in: /root/packstack-answers-20150916-150209.txt
 * Time synchronization installation was skipped. Please note that unsynchronized time on server instances might be problem for some OpenStack components.
 * Warning: NetworkManager is active on 10.66.192.77. OpenStack networking currently does not work on systems that have the Network Manager service enabled.
 * File /root/keystonerc_admin has been created on OpenStack client host 10.66.192.77. To use the command line tools you need to source the file.
 * To access the OpenStack Dashboard browse to http://10.66.192.77/dashboard .
Please, find your login credentials stored in the keystonerc_admin in your home directory.
 * To use Nagios, browse to http://10.66.192.77/nagios username: nagiosadmin, password: 487e096b28cb4b73
Comment 1 Dong Zhao 2015-09-16 03:30:48 EDT
I was following the guide to install OpenStack 7 on RHEL 7.1
https://access.redhat.com/products/red-hat-enterprise-linux-openstack-platform/get-started
Comment 2 John Matthews 2015-09-24 16:51:27 EDT
Please re-file against RHELOSP.

Note You need to log in before you can comment on or make changes to this bug.